/*
       ds18b20

*/



#ifndef _termmic_H_
#define _termmic_H_ 



#include <intrinsics.h>


//Location 1 Wire Net in PORT B pin 1.
#define OW_DQ   PB1
#define OW_PIN  PINB
#define OW_DDR  DDRB
#define OW_PORT PORTB

// 1 Wire :
#define SKIP_ROM        0xCC//  
#define CONVERT_T       0x44//   
#define MATCH_ROM       0x55// ROM
#define READ_SCRATCHPAD 0xBE//    . 
#define SEARCH_ROM      0xF0//  
#define READ_ROM        0x33


// 
signed int read_temp(unsigned char t);
unsigned char OW_reset(void);
unsigned char OW_read_bit(void);

void OW_write_bit(unsigned char bit);
void OW_write_byte(unsigned char command);
void convert_temp(void);
void search_ROM(void);//unsigned char get_for_two
void send_ROM(unsigned char selector);
void OW_read_ROM(unsigned char get_for_two);

#endif
